<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="加工分组与工序点对应关系">
	<query id="FrmProcGroupPoint.getComBaseInfo" desc="查询加工分组">
        <![CDATA[
SELECT T.BASECODE, T.BASENAME
  FROM COM_BASE_INFO T
 WHERE T.SORTCODE = ?
   AND T.VALIDFLAG = '1'   
   ORDER BY T.BASECODE ASC
        ]]>
	</query>
	<query id="FrmProcGroupPoint.getMchProcPoint" desc="查询加工分组与工序点对应关系">
        <![CDATA[
SELECT PROCE_NO,
       PROCE_GROUP_NO,
       PROCE_GROUP_NAME,
       PROCE_POINT_NO,
       PROCE_POINT_NAME,
       CREATET_NAME,
       TO_CHAR(CREATET_TIME, 'YYYY-MM-DD HH24:MI:SS') CREATET_TIME,
       UPDATE_NAME,
       TO_CHAR(UPDATE_TIME, 'YYYY-MM-DD HH24:MI:SS') UPDATE_TIME
  FROM MCH_PROGROUP_POINT
 WHERE 1=1
        ]]>
	</query>
	<query id="FrmProcGroupPoint.getAdd" desc="新增">
        <![CDATA[
INSERT INTO MCH_PROGROUP_POINT
  (PROCE_NO,
   PROCE_GROUP_NO,
   PROCE_GROUP_NAME,
   PROCE_POINT_NO,
   PROCE_POINT_NAME,
   CREATET_NAME,
   CREATET_TIME)
VALUES
  (?, ?, ?, ?, ?, ?, SYSDATE)
        ]]>
	</query>
	<query id="FrmProcGroupPoint.getQueryAdd" desc="查询是否主键冲突">
        <![CDATA[
SELECT COUNT(*) COUNT FROM MCH_PROGROUP_POINT WHERE PROCE_NO = ?
        ]]>
	</query>
	<query id="FrmProcGroupPoint.getUpdate" desc="修改">
        <![CDATA[
UPDATE MCH_PROGROUP_POINT
   SET PROCE_NO         = ?,
       PROCE_GROUP_NO   = ?,
       PROCE_GROUP_NAME = ?,
       PROCE_POINT_NO   = ?,
       PROCE_POINT_NAME = ?,
       UPDATE_NAME      = ?,
       UPDATE_TIME      = SYSDATE
 WHERE PROCE_NO = ?
        ]]>
	</query>
	<query id="FrmProcGroupPoint.getDelete" desc="删除">
        <![CDATA[
DELETE MCH_PROGROUP_POINT WHERE PROCE_NO = ?
        ]]>
	</query>
</queryMap>